
class signalgast
{
    public:

        //attribute
        unsigned char lampe, beepstat ;
        unsigned char stringpos;
        unsigned char beepcount;
        unsigned char hb,lb;
        int sendword;
        int blinkcount;
        unsigned char empfangsdaten;

        //methoden
        signalgast();
        void sendbyte(unsigned char sendedaten);
        void receivebyte();
        void sendInt(int);
        void heartbeat();
        void lampeAn();
        void lampeAus();
        void beep();
};
